.TH "mca_btl_base_descriptor_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_btl_base_descriptor_t \- A descriptor that holds the parameters to a send/put/get operation along w/ a callback routine that is called on completion of the request.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <btl.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "ompi_free_list_item_t \fBsuper\fP"
.br
.ti -1c
.RI "\fBmca_btl_base_segment_t\fP * \fBdes_src\fP"
.br
.ti -1c
.RI "size_t \fBdes_src_cnt\fP"
.br
.ti -1c
.RI "\fBmca_btl_base_segment_t\fP * \fBdes_dst\fP"
.br
.ti -1c
.RI "size_t \fBdes_dst_cnt\fP"
.br
.ti -1c
.RI "\fBmca_btl_base_completion_fn_t\fP \fBdes_cbfunc\fP"
.br
.ti -1c
.RI "void * \fBdes_cbdata\fP"
.br
.ti -1c
.RI "void * \fBdes_context\fP"
.br
.ti -1c
.RI "int32_t \fBdes_flags\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
A descriptor that holds the parameters to a send/put/get operation along w/ a callback routine that is called on completion of the request. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
